Subject: [link-relations] app data for HTML, was: NEW APP DATA

From: Julian Reschke <[email-masked]>
Date: Thu, 15 Jul 2010 07:44:39 +0200

>    o  Application Name: HTML
>    o  Description: Allowed on <a> and <area>?
>    o  Default Value: No
>    o  Notes: The following values should have "Yes" for this field:
>         alternate, appendix, bookmark, chapter, contents, copyright,
>         first, glossary, help, index, first [sic - it's listed
>         twice?], last, license, next, prev, previous, section, start,
>         subsection, up
>
>    o  Application Name: HTML
>    o  Description: Allowed on <link>?
>    o  Default Value: No
>    o  Notes: The following values should have "Yes" for this field:
>         alternate, appendix, chapter, contents, copyright, first,
>         glossary, help, index, first [sic - it's listed twice?], last,
>         license, next, prev, previous, section, start, subsection, up

I don't understand the purpose of these flags; it sounds like you're 
trying to disallow use of the other link relations (those not mentioned 
above) in HTML.

For instance, why disallow "version-history", defined in RFC 5829? Why 
would anybody want to define a link relation and *not* have it be usable 
in link/@rel? Could you please clarify?

(Also, I believe "Application Name" is supposed to be unique, so it can 
be used as identifier).

Best regards, Julian